SELECT Persons.id, Persons.nxp, Persons.surname, Persons.name,;
  Persons.fathername, Persons.sex, Sex.opis AS csexopis, Persons.birthdate,;
  Persons.city, Persons.dpartment, Persons.street, Persons.houseno,;
  Persons.flat, Persons.phone;
 FROM  pens!sex INNER JOIN pens!persons ;
   ON  Sex.sex = Persons.sex;
 WHERE Persons.id = ?per_id;
   AND Persons.del_no = 1

**********************************

SELECT Persons.id, Persons.nxp, Persons.surname, Persons.name,;
  Persons.fathername, Persons.sex, Sex.opis AS csexopis, Persons.birthdate,;
  Persons.city, Persons.dpartment, Persons.street, Persons.houseno,;
  Persons.flat, Persons.phone, Persons.zvanie,;
  Zvania.zvanie AS czvanieopis, Persons.passport, Persons.datapas,;
  Persons.idnumber, Persons.kindofpension;
 FROM  pens!sex INNER JOIN pens!persons;
    INNER JOIN pens!zvania ;
   ON  Zvania.zvanie_id = Persons.zvanie ;
   ON  Sex.sex = Persons.sex;
 WHERE Persons.id = ?per_id;
   AND Persons.del_no = 1

***************************************

SELECT Persons.id, Persons.nxp, Persons.surname, Persons.name,;
  Persons.fathername, Persons.sex, Sex.opis AS csexopis, Persons.birthdate,;
  Persons.city, Persons.dpartment, Persons.street, Persons.houseno,;
  Persons.flat, Persons.phone, Persons.zvanie,;
  Zvania.zvanie AS czvanieopis, Persons.passport, Persons.datapas,;
  Persons.idnumber, Persons.kindofpension, Penskind.opis AS cpensopis,;
  Persons.startpension, Persons.penslist, Persons.pensdoc, Persons.datavid,;
  Persons.account, Persons.posvveteran, Persons.dataposv,;
  Persons.pensionsize, Persons.familystate, Persons.healthstate;
 FROM  pens!sex INNER JOIN pens!persons;
    INNER JOIN pens!zvania;
    INNER JOIN pens!penskind ;
   ON  Penskind.kindofpension = Persons.kindofpension ;
   ON  Zvania.zvanie_id = Persons.zvanie ;
   ON  Sex.sex = Persons.sex;
 WHERE Persons.id = ?per_id;
   AND Persons.del_no = 1

******************************************
